
QGIS Application - Bug report #7428

union progress bar does not move, wrong result, too big result

2013-03-24 02:27 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 16390

Description

tested in qgis master on Windows. The tools seems to do nothing, even after hours the output file is still 1kb size. The tool can be stopped

without issues by hitting "cancel". Use the attached layers.

Related issues:

Related to QGIS Application - Bug report # 7708: Union produces the wrong out... Closed 2013-04-25

History

#1 - 2013-04-16 12:31 PM - Anita Graser

In my tests, union results don't contain areas which are only covered by features of the 2nd layer.

Similarly, symmetrical difference tool does not work either.

#2 - 2013-06-02 01:20 AM - Giovanni Manghi

- Subject changed from union does nothing to union progress bar does not move, wrong result, too big result

tested again today, the tools seems to "work", the progress bar does not move along the run, the result is wrong, see #7708 and seems too big, the input

layer are 1.6 mb, the output is 282 mb !!!

#3 - 2013-06-16 05:46 AM - Giovanni Manghi

- Subject changed from union progress bar does not move, wrong result, too big result to union progress bar does not move, wrong result, too big result 

(and now broken on the latest master code)

Now it seems the Union tool is broken after the SIP update, the message is (notice that it just shows in the log panel, not anywhere else)

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doGeoprocessing.py", line 310, in run

    geos, feature, match, error = self.union()

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doGeoprocessing.py", line 1080, in union

    if not longNames.isEmpty():

AttributeError: 'list' object has no attribute 'isEmpty'

Python version:
2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.9.0-Master Master, 192e130

Python path: ['C:/OSGeo4W/apps/qgis-dev/./python/plugins\\\\sextante', 'C:/OSGeo4W/apps/qgis-dev/./python',

'C:\\\\Users\\\\giovanni/.qgis2/python', 'C:\\\\Users\\\\giovanni/.qgis2/python/plugins', 'C:/OSGeo4W/apps/qgis-dev/./python/plugins',

'C:\\\\OSGeo4W\\\\bin\\\\python27.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\bin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']

#4 - 2013-06-30 03:14 PM - Giovanni Manghi

- Subject changed from union progress bar does not move, wrong result, too big result (and now broken on the latest master code) to union progress 

bar does not move, wrong result, too big result

it "works" again on master.

The progress bar does not move, the result is wrong and now the log is full of

Feature geometry not imported (OGR error: )

Feature creation error (OGR error: Pointer 'hFeat' is NULL in 'OGR_L_SetFeature'.

)

#5 - 2013-07-12 01:59 PM - Salvatore Larosa

Giovanni Manghi wrote:

it "works" again on master.

The progress bar does not move, the result is wrong and now the log is full of

[...]

I can not see those messages but when I try to close the app I get a segfault-

Stacktrace: http://codepad.org/bFYt6G2Y

#6 - 2013-07-12 02:09 PM - Giovanni Manghi

I can not see those messages but when I try to close the app I get a segfault-
Stacktrace: http://codepad.org/bFYt6G2Y

with the latest master on Ubuntu I still see that messages in the log. The output is anyway wrong, the input data is around 2mb overall, it does not make

sense that the output is 282mb. See also #7708

#7 - 2013-07-15 11:44 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

merged with #7708

#8 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

forest_clean_shp.zip 862 KB 2013-03-24 Giovanni Manghi

grid_clean_shp.zip 50.1 KB 2013-03-24 Giovanni Manghi

2025-05-17 3/3

http://codepad.org/bFYt6G2Y

